# Method: projects.locations.keys.getKeyString

- [HTTP request](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.request_body)
- [Response body](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.GetKeyStringResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/api-keys/docs/reference/rest/v2/projects.locations.keys/getKeyString#try-it)

Get the key string for an API key.

NOTE: Key is a global resource; hence the only supported value for location is `global`.

### HTTP request

`GET https://apikeys.googleapis.com/v2/{name=projects/*/locations/*/keys/*}/keyString`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the API key to be retrieved. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `apikeys.keys.getKeyString` |

### Request body

The request body must be empty.

### Response body

Response message for `keys.getKeyString` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "keyString": string } ``` |

| Fields ||
|---|---|
| `keyString` | `string` An encrypted and signed value of the key. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `apikeys.keys.getKeyString`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).